PETSc version 3.17.4
Fix/Edit manual page

# DMPlexTransformExtrudeGetTensor

Get the flag to use tensor cells

### Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformExtrudeGetTensor(DMPlexTransform tr, PetscBool *useTensor)

Not collective

### Input Parameter

| tr | - The DMPlexTransform

### Output Parameter

| useTensor | - The flag to use tensor cells

Note: This flag determines the orientation behavior of the created points. For example, if tensor is PETSC_TRUE, then DM_POLYTOPE_POINT_PRISM_TENSOR is made instead of DM_POLYTOPE_SEGMENT, DM_POLYTOPE_SEG_PRISM_TENSOR instead of DM_POLYTOPE_QUADRILATERAL, DM_POLYTOPE_TRI_PRISM_TENSOR instead of DM_POLYTOPE_TRI_PRISM, and DM_POLYTOPE_QUAD_PRISM_TENSOR instead of DM_POLYTOPE_HEXAHEDRON.

### See Also

DMPlexTransformExtrudeSetTensor()

### Level

intermediate

### Location

src/dm/impls/plex/transform/impls/extrudeplextrextrude.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages